Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

ERROR 500 received - when installing the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5)

Solved Go to solution
Highlighted

ERROR 500 received - when installing the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5)

New Contributor

When trying to install the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5) I get the following error - when I click on the NEXT button for 'SELECT MASTERS' :

500 status code received on POST method for API: /api/v1/stacks/HDP/versions/2.5/recommendations

Error message: Error occured during stack advisor command invocation: Unable to delete directory /var/run/ambari-server/stack-recommendations/1.

Therefore - Ambari on HDP v2.5 does NOT let me continue to complete the installation/implementation of the HAWQ and PXF services - thus, I cannot test the Pivotal HDB implementation on the HDP2.5 platform. Please HELP !!!!!

1 ACCEPTED SOLUTION

Accepted Solutions

Re: ERROR 500 received - when installing the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5)

Why are you using HDP 2.5? Also what version of Ambari are you using? Please refer to

http://hdb.docs.pivotal.io/201/hdb/releasenotes/HAWQ201ReleaseNotes.html Please use HDP 2.4.2 and Ambari 2.4 or 2.4.1

Or you can go maverick and try deleting

/var/run/ambari-server/stack-recommendations/1 manually yourself.

4 REPLIES 4

Re: ERROR 500 received - when installing the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5)

Why are you using HDP 2.5? Also what version of Ambari are you using? Please refer to

http://hdb.docs.pivotal.io/201/hdb/releasenotes/HAWQ201ReleaseNotes.html Please use HDP 2.4.2 and Ambari 2.4 or 2.4.1

Or you can go maverick and try deleting

/var/run/ambari-server/stack-recommendations/1 manually yourself.

Re: ERROR 500 received - when installing the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5)

Contributor

There could be a permission issue with the user account running Ambari installation and not having permission to delete directory /var/run/ambari-server/stack-recommendations/1. Check the directory permissions and try a user with permissions on the Ambari directory. I haven't seen this error message before.

Re: ERROR 500 received - when installing the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5)

New Contributor

Hi Ancil and Vineet, I am already evaluating apache NIFI/HDF and MongoDB connectivity using HDP2.5.

Since I only want to setup 1 HDP VM, I need to find a way to add the additional HAWQ+XPF services to the same platform using ambari .

NOTE - that I have just tried to install another unrelated service 'SOLR v55225' via ambari which gave the SAME '500' error when 'selecting MASTERS' - and indicates a more widespread problem with adding new services to HDP version 2.5 (and logged in as ADMIN, ADMIN). I could re-install the HDP2.5 VM but will loose my NIFI/HDF workflow newly configured on the platform.

Therefore, I'd appreciate if you could send me the command, to delete the directory via SSH and logged in as 'Root'.

Many Thanks!

Re: ERROR 500 received - when installing the PIVOTAL HAWQ and PXF services on HDP (VERSION 2.5)

Maybe this should be a separate HCC question. However if you are using HDF 2.x/ Nifi 1.0 with Ambari, you cannot install it on the same platform using Ambari and HDP2.5.

It would have to be a separate Ambari install on another node, just for HDF Perhaps you may need to contact us at Hortonworks to get us to understand your use case further.

Don't have an account?
Coming from Hortonworks? Activate your account here